Bug 1227244 - CVE-2015-0848 libwmf: heap overflow when decoding BMP images [fedora-all]
Summary: CVE-2015-0848 libwmf: heap overflow when decoding BMP images [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libwmf
Version: 22
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-0848
TreeView+ depends on / blocked
 
Reported: 2015-06-02 08:49 UTC by Martin Prpič
Modified: 2015-10-03 21:18 UTC (History)
1 user (show)

Fixed In Version: 0.2.8.4-46.fc23 libwmf-0.2.8.4-46.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-04 19:46:01 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-06-02 08:49:20 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-06-02 08:49:26 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1227243,1227244

# Description of your update
notes=Security fix for CVE-2015-0848

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1227243,1227244

Comment 2 Fedora Update System 2015-06-02 10:51:49 UTC
libwmf-0.2.8.4-42.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libwmf-0.2.8.4-42.fc22

Comment 3 Fedora Update System 2015-06-02 10:52:47 UTC
libwmf-0.2.8.4-42.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libwmf-0.2.8.4-42.fc21

Comment 4 Fedora Update System 2015-06-02 10:57:50 UTC
libwmf-0.2.8.4-42.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libwmf-0.2.8.4-42.fc20

Comment 5 Fedora Update System 2015-06-04 20:11:04 UTC
Package libwmf-0.2.8.4-42.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libwmf-0.2.8.4-42.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9377/libwmf-0.2.8.4-42.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-06-08 14:09:15 UTC
libwmf-0.2.8.4-43.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libwmf-0.2.8.4-43.fc22

Comment 7 Fedora Update System 2015-06-08 14:20:54 UTC
libwmf-0.2.8.4-43.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libwmf-0.2.8.4-43.fc21

Comment 8 Fedora Update System 2015-06-08 14:39:05 UTC
libwmf-0.2.8.4-43.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libwmf-0.2.8.4-43.fc20

Comment 9 Fedora Update System 2015-06-23 13:28:43 UTC
libwmf-0.2.8.4-45.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libwmf-0.2.8.4-45.fc22

Comment 10 Fedora Update System 2015-06-23 13:52:28 UTC
libwmf-0.2.8.4-45.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libwmf-0.2.8.4-45.fc20

Comment 11 Fedora Update System 2015-06-24 16:00:36 UTC
libwmf-0.2.8.4-43.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-07-10 19:11:58 UTC
libwmf-0.2.8.4-45.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-09-02 11:17:20 UTC
libwmf-0.2.8.4-46.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14848

Comment 14 Fedora Update System 2015-09-02 11:31:07 UTC
libwmf-0.2.8.4-46.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14852

Comment 15 Fedora Update System 2015-09-03 09:52:44 UTC
libwmf-0.2.8.4-46.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libwmf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14847

Comment 16 Fedora Update System 2015-09-03 19:19:02 UTC
libwmf-0.2.8.4-46.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libwmf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14852

Comment 17 Fedora Update System 2015-09-03 19:20:56 UTC
libwmf-0.2.8.4-46.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libwmf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14848

Comment 18 Fedora Update System 2015-09-04 19:46:00 UTC
libwmf-0.2.8.4-46.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-10-03 21:18:22 UTC
libwmf-0.2.8.4-46.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.